// package bot -- бот для хранения данных
package bot

import "fmt"

// Bot -- бот для хранения данных
type Bot struct {
	name string
	pass string
}

// NewBot -- возвращает нового бота
func NewBot(name, pass string) (*Bot, error) {
	{ // Предусловия
		if name == "" {
			return nil, fmt.Errorf("NewBot(): name is empty")
		}
		if pass == "" {
			return nil, fmt.Errorf("NewBot(): pass is empty")
		}
	}
	sf := &Bot{
		name: name,
		pass: pass,
	}
	return sf, nil
}
